summaryrefslogtreecommitdiff
path: root/src/core/libs/lib-flowcontrol.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/core/libs/lib-flowcontrol.sh')
-rwxr-xr-xsrc/core/libs/lib-flowcontrol.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/src/core/libs/lib-flowcontrol.sh b/src/core/libs/lib-flowcontrol.sh
index 4f3bbfa..0e336f4 100755
--- a/src/core/libs/lib-flowcontrol.sh
+++ b/src/core/libs/lib-flowcontrol.sh
@@ -170,10 +170,12 @@ depend_procedure ()
start_process ()
{
- execute phase preparation
- execute phase basics
- execute phase system
- execute phase finish
+ ret=0
+ execute phase preparation || ret=$?
+ execute phase basics || ret=$?
+ execute phase system || ret=$?
+ execute phase finish || ret=$?
+ return $ret
}
@@ -212,11 +214,11 @@ start_installer ()
# use this function to stop the installation procedure.
-# $1 exit code (optional)
+# $1 exit code (optional, defaults to 0)
stop_installer ()
{
log "-------------- STOPPING INSTALLATION ----------"
cleanup_runtime
[ "$var_UI_TYPE" = dia ] && clear
- exit $1
+ exit ${1:-0}
}